/*
 * ar3cmonitor - about.cpp
 *
 * 	About Dialog
 * 
 * Copyright (C) 2010..2016  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "ar3cmonitor.h"
#include "consts.h"

#include <qlabel.h>

#include "about.h"

AboutDialog::AboutDialog(QWidget *parent)
	: QDialog(parent)
{
	vl = new QVBoxLayout(this, 8);
	
	name = new QLabel(this);
	name->setTextFormat(Qt::RichText);
	name->setText(tr("<center>"
"<font size=\"+2\"><b>ar3cmonitor</b></font><br>"
"version %1<br>"
"Copyright (C) 2004..2006 Szymon Acedanski<br>"
"Copyright (C) 2008..2011 Krzysztof Kasperski<br>"
"Copyright (C) 2005..2016 Krzysztof Mazur<br>"
"<br>"
"ar3cmonitor homepage: http://ar3cmonitor.microster.pl/<br>"
"<br>"
"Bug reports to ar3c-bugs@microster.pl."
#ifdef LOCAL_ABOUT
LOCAL_ABOUT
#endif
"</center>").arg(AR3CMON_VERSION_STRING));

	vl->addWidget(name);
	name->show();
	
	ok = new QPushButton(tr("OK"), this);
	connect(ok, SIGNAL(clicked()), this, SLOT(ok_clicked()));
	vl->addWidget(ok);
	ok->show();
}

void AboutDialog::ok_clicked()
{
	close();
}

AboutDialog::~AboutDialog()
{
	delete name;
	delete ok;
	delete vl;
}
