/*
 * ar3cmonitor - cdata.h
 *
 * Copyright (C) 2011  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __CDATA_H
#define __CDATA_H

/*
 * The timestamped list implementation is brain-damaged and reimplementation
 * is highly required. The reimplementation is very difficult because
 * of "Object Oriented" C++ programming.
 *
 * Most of uses use only current data, so it's a good idea to add
 * additional interface for reading current data and remove many
 * dependencies on timestamped list.
 */

#ifdef __cplusplus
extern "C" {
#endif

int cdata_get_analog(unsigned int phys, int *value);
int cdata_get_along(unsigned int phys, int *value);
int cdata_get_binary(unsigned int phys, int *value);

#ifdef __cplusplus
};
#endif

#endif
