/*
 * ar3cmonitor - dmeter.h
 *
 * Copyright (C) 2006..2011  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <qwidget.h>
#include <qstring.h>
#include <qcolor.h>

#include "bufferedwidget.h"

class MeterDWidget : public BufferedWidget {
	Q_OBJECT

private:
	QColor color;
	QString caption;
	QString unit;
	QString prefix;
	QFont vfont;

	int analogIndex, oldvalid;
	float unit_value, old_value;
	unsigned long meter_flags;
	
	QString niceFormat(float value);

protected:
	void paint(QPainter *p);

public:
	MeterDWidget(int _analogIndex, QColor _color, float _unitValue,
			QString unit, unsigned long flags, QString prefix,
			QWidget *parent = 0, const char *name = 0,
			Qt::WFlags f = 0);

public slots:
	void updateMeter();

signals:
	void sigUpdLabel(const QString &s);
};
