/*
 * ar3cmonitor - fonts.h
 *
 * Copyright (C) 2012  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef AR3CMONITOR_FONTS_H
#define AR3CMONITOR_FONTS_H

enum ar3cmonitor_font {
	AR3CMONITOR_FONT,
	AR3CMONITOR_FONT_VALUE,
	AR3CMONITOR_FONT_TIMESCALE,
	AR3CMONITOR_FONT_SMALL,
	AR3CMONITOR_FONT_BASE,
	AR3CMONITOR_FONT_HUGE,
	AR3CMONITOR_FONT_COUNT,			/* must be last entry */
};

#ifdef __cplusplus
extern "C" {
#endif

void fonts_init(void);
void fonts_reset(void);

const char *ar3cmon_font_family(enum ar3cmonitor_font font);
unsigned int ar3cmon_font_size(enum ar3cmonitor_font font);
int ar3cmon_font_set_family(enum ar3cmonitor_font font, const char *family);
int ar3cmon_font_set_size(enum ar3cmonitor_font font, unsigned int size);
int ar3cmon_font_set_normsize(enum ar3cmonitor_font font, unsigned int size);

int ar3cmon_font_set_pixels(int pixels);
int ar3cmon_font_pixels(void);

#ifdef __cplusplus
}
#endif

#endif
