/*
 * ar3cmonitor - hide.cpp
 *
 * Copyright (C) 2012  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <hide.h>
#include <cdata.h>

HideWidget::HideWidget(int _physical, int _not_cond, QWidget *_widget,
		QWidget *parent, const char *name, Qt::WFlags f)
	: QWidget(parent, name, f)
{
	hide();
	widget = _widget;
	physical = _physical;
	not_cond = _not_cond;
}

void HideWidget::update_data(void)
{
	int undefined = 1;
	int value = 0;

	if (physical != 0xffff)
		if (!cdata_get_binary(physical, &value))
			undefined = 0;

	if (undefined) {
		widget->hide();
	} else {
		if (not_cond)
			value = !value;

		if (value)
			widget->hide();
		else
			widget->show();
	}
}
