/*
 * ar3cmonitor - jumpdlg.h
 *
 * 	Jump Dialog
 * 
 * Copyright (C) 2006, 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef JUMPDLG_H_INCLUDED
#define JUMPDLG_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>

#include "control.h"
#include <time.h>

#if QT_VERSION >= 0x40000
# include <QDateTimeEdit>
#elif QT_VERSION >= 0x30000
# include <qdatetimeedit.h>
#else
# error "This version of jumpdlg require qt >= 3.0.0. Use jumpdlg_nodte."
#endif

class JumpDialog : public QDialog {
	Q_OBJECT

private:
	QDateTimeEdit *dte;
	QHBoxLayout *hl;
	QVBoxLayout *vl;
	QPushButton *ok, *cancel;

private slots:
	void ok_clicked();
	void cancel_clicked();

public:
	JumpDialog(unsigned long long time, QWidget *parent = 0);
	~JumpDialog();
};

#endif
