/*
 * ar3cmonitor - meterwidget.h
 *
 * Copyright (C) 2004  Szymon Acedanski <accek@podlesie.net>
 * Copyright (C) 2006..2011  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <qwidget.h>
#include <qstring.h>
#include <qcolor.h>

#include "niceformat.h"

class MeterVWidget : public QWidget {
	Q_OBJECT

private:
	QColor color;
	QString caption;
	QString val_format;
	QFont val_font;
	unsigned int meter_flags;
	
	prec_t prec;

	int analogIndex, oldvalid;
	float maxValue, minValue, unitValue, oldValue;

	QString niceFormat(float value);

protected:
	void paintEvent(QPaintEvent *ev);

public:
	MeterVWidget(int _analogIndex, QColor _color, float _maxValue,
			float _minValue, float _unitValue,
			unsigned int flags, prec_t prec,
			QWidget *parent = 0,
			const char *name = 0, Qt::WFlags f = 0);

public slots:
	void updateMeter();

signals:
	void sigUpdLabel(const QString &s);
};


class MeterLabel : public QWidget {
	Q_OBJECT

private:
	QColor color;
	QString text;

protected:
	void paintEvent(QPaintEvent *ev);

public:
	MeterLabel(const QString &caption, QColor _color, QWidget *parent = 0,
			const char *name = 0, Qt::WFlags f = 0);

public slots:
	void setLabel(const QString &s);
};
