/*
 * ar3cmonitor - pendrive.h
 *
 * 	Pendrive dialog
 *
 * Copyright (C) 2008  Krzysztof Kasperski <casper@podlesie.net>
 * Copyright (C) 2006..2008  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef PENDRIVE_H_INCLUDED
#define PENDRIVE_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qprogressbar.h>

#include "control.h"
#include <time.h>

#if QT_VERSION >= 0x40000
# include <QDateTimeEdit>
#elif QT_VERSION >= 0x30000
# include <qdatetimeedit.h>
#else
# error "This version of settime requires qt >= 3.0.0."
#endif

class PenDrive : public QDialog {
	Q_OBJECT

private:
	QLabel *lb0, *lb1, *from_lb, *till_lb, *format_lb, *warning;
	QLineEdit *le;
	QDateTimeEdit *from, *till;
	QHBoxLayout *hl, *h0, *h1, *h2;
	QVBoxLayout *vl;
	QPushButton *start, *cancel;
	QComboBox *format_cb;
	QProgressBar *pb;

private slots:
	void start_clicked();
	void cancel_clicked();
	void pendrive_inserted();
	void pendrive_ejected();
	void pendrive_progressed(unsigned int timestamp);
	void pendrive_completed(unsigned int status);

public:
	PenDrive(unsigned long long time, QWidget *parent = 0);
	~PenDrive();
};

#endif
