//
// C++ Interface: statusbar
//
// Description: 
//
//
// Author: Szymon Acedanski <accek@podlesie.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <qwidget.h>

#if QT_VERSION >= 0x40000
#include <Q3PopupMenu>
#define QPopupMenu	Q3PopupMenu
#else
#include <qpopupmenu.h>
#endif

class OnOffLabel;
class QLabel;

class MainStatusBar : public QWidget {
    Q_OBJECT

private:
	OnOffLabel* ConnectedLabel;
	OnOffLabel* DataLabel;
	OnOffLabel* ModeLabel;
    OnOffLabel* SyfLabel1;
    QTimer*     DataBlinker;
    QTimer*     ModeBlinker;
    bool        DataBlink;
    bool        ModeBlink;
	QPopupMenu *mode;
	QPopupMenu *conn;
    
private slots:
    void onModeChanged();
    void dataBlink();
    void modeBlink();
    void dataUpdate();
	void change_mode();
	void change_conn();

public:
    MainStatusBar(QWidget *parent = 0, const char *name = 0);
    void newTimestamp(QString time);
};

