/*
 * ar3cmonitor - test-niceformat.c 
 * Copyright (C) 2009  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <niceformat.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int exit_status = EXIT_SUCCESS;

#define test(a, b) \
	do { \
		if (strcmp(a, b)) { \
			fprintf(stderr, "error: line %d, is \"%s\", " \
					"should be \"%s\"\n", __LINE__, a, b); \
			exit_status = EXIT_FAILURE; \
		} \
	} while (0)

int main(void)
{
	char buf[32];

	niceformat(buf, 32, 1000, -9.0, 9.0, 2);
	test(buf, " 2.000");
	niceformat(buf, 32, 1000, 0.0, 9.0, 2);
	test(buf, "2.000");
	niceformat(buf, 1, 1000, 0.0, 9.0, 2);
	test(buf, "");
	niceformat(buf, 2, 1000, 0.0, 9.0, 2);
	test(buf, "2");
	
	str_niceformat(buf, 1, 1000, 0.0, 9.0);
	test(buf, "");
	
	str_niceformat(buf, 2, 1000, 0.0, 9.0);
	test(buf, "9");
	
	str_niceformat(buf, 2, 1000, -9.0, 9.0);
	test(buf, "-");
	
	str_niceformat(buf, 3, 1000, 0.0, 9.0);
	test(buf, "9.");
	
	str_niceformat(buf, 4, 1000, 0.0, 9.0);
	test(buf, "9.9");
	
	str_niceformat(buf, 5, 1000, 0.0, 9.0);
	test(buf, "9.99");
	
	str_niceformat(buf, 6, 1000, 0.0, 9.0);
	test(buf, "9.999");
	
	str_niceformat(buf, 7, 1000, 0.0, 9.0);
	test(buf, "9.999");
	
	str_niceformat(buf, 8, 1000, -1.0, 9.0);
	test(buf, "-9.999");

	exit(exit_status);
}
